View Issue Details

IDProjectCategoryView StatusLast Update
15696Bug reports[All Projects] Survey participants (Tokens)public2020-01-15 12:26
Reportermarkusfluer Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.21.3 
Target VersionFixed in Version3.21.3 
Summary15696: Multiple email addresses in token are not working
Description

When trying to add multiple email adresses in the token email field
The system blocks submission of the token form.
This was working in 3.21.1

TagsNo tags attached.
Complete LimeSurvey version number (& build)LSPRO
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionLSPRO
Server OS (if known)LSPRO
Webserver software & version (if known)LSPRO
PHP VersionLSPRO

Activities

markusfluer

markusfluer

2020-01-08 15:45

administrator   ~55162

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29313

DenisChenu

DenisChenu

2020-01-10 14:57

developer   ~55191

Please create a better fix … use
<input type='email' multiple>

And don't update anything else

ollehar

ollehar

2020-01-15 11:35

administrator   ~55262

Does not work for me. Correct form?



Selection_971.png (29,245 bytes)
Selection_971.png (29,245 bytes)
Selection_972.png (16,258 bytes)
Selection_972.png (16,258 bytes)
ollehar

ollehar

2020-01-15 11:35

administrator   ~55263

Tested on branch Shnoulle-master_better_15696, fresh install.

ollehar

ollehar

2020-01-15 11:39

administrator   ~55265

Oh, so it fails if there's a space? Booo.

ollehar

ollehar

2020-01-15 11:41

administrator   ~55266

Can't see any difference in behaviour between current master and branch, except the field being red. Need more info.

DenisChenu

DenisChenu

2020-01-15 11:43

developer   ~55267

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29332

DenisChenu

DenisChenu

2020-01-15 11:54

developer   ~55268

@ollehar : it's a KISS principle …

Here the issue was "Multiple email addresses in token are not working" , issue cause by : https://github.com/LimeSurvey/LimeSurvey/commit/0a7bdfa1c166f734d11a1528c8d9a7d61b670ad7#diff-b3718d1de0757aca81853beec9b65ee8R198

Then it's just fixing this.

Previous commit have

  1. application/core/LSYii_XssValidator.php added
  2. Disallow HTML in firstname + lastname : https://github.com/LimeSurvey/LimeSurvey/commit/1eee6cf2833261dcd020bac974b154f34750fa27#diff-9cfdc794610e572e6db5e2eca5e364bcR103 Can broke workaround
  3. use a different restrtiction that one already included : https://github.com/LimeSurvey/LimeSurvey/commit/1eee6cf2833261dcd020bac974b154f34750fa27#r36724282 : then can broke some specific email (niot tested)
  4. Put an uneeded and uniscussed readonly attribute on mailstatus : https://github.com/LimeSurvey/LimeSurvey/commit/1eee6cf2833261dcd020bac974b154f34750fa27#r36723858

In my opinion : we must allow invalid email for admin user : but this need a feature request.

Think best solution is using email multiple BUT : LimeSurvey admin GUI are not HTML5 ready (and this is not improved in 4.X …)

ollehar

ollehar

2020-01-15 11:57

administrator   ~55269

I need info on how to reproduce exactly.

ollehar

ollehar

2020-01-15 11:57

administrator   ~55270

I could save multiple emails before merging your fix, but the input field was red. That's the only difference?

lime_release_bot

lime_release_bot

2020-01-15 11:59

administrator   ~55275

Fixed in Release 3.21.5+200115

DenisChenu

DenisChenu

2020-01-15 12:26

developer   ~55279

I could save multiple emails before merging your fix, but the input field was red. That's the only difference?

See https://bugs.limesurvey.org/view.php?id=15696#c55268

other are difference at other point

Related Changesets

LimeSurvey: master 1eee6cf2

2020-01-08 15:44:27

markusfluer

Details Diff
Fixed issue 15696: Multiple email addresses in token are not working Affected Issues
15696
add - application/core/LSYii_XssValidator.php Diff File
mod - application/models/TokenDynamic.php Diff File
mod - application/views/admin/token/tokenform.php Diff File

LimeSurvey: master ba9d4f94

2020-01-15 11:43:47

DenisChenu


Committer: ollehar Details Diff
Fixed issue 15696: Multiple email addresses in token are not working (#1368)

Dev: Revert "Fixed issue 15696: Multiple email addresses in token are not working"
Fixed issue 15696: Multiple email addresses in token are not working
Affected Issues
15696
rm - application/core/LSYii_XssValidator.php Diff File
mod - application/models/TokenDynamic.php Diff File
mod - application/views/admin/token/tokenform.php Diff File

Issue History

Date Modified Username Field Change
2020-01-08 15:44 markusfluer New Issue
2020-01-08 15:44 markusfluer Status new => assigned
2020-01-08 15:44 markusfluer Assigned To => markusfluer
2020-01-08 15:45 markusfluer Changeset attached => LimeSurvey master 1eee6cf2
2020-01-08 15:45 markusfluer Note Added: 55162
2020-01-08 15:45 markusfluer Resolution open => fixed
2020-01-08 15:45 markusfluer Status assigned => resolved
2020-01-08 15:45 markusfluer Fixed in Version => 3.21.3
2020-01-10 14:57 DenisChenu Status resolved => feedback
2020-01-10 14:57 DenisChenu Resolution fixed => reopened
2020-01-10 14:57 DenisChenu Note Added: 55191
2020-01-15 11:35 ollehar File Added: Selection_971.png
2020-01-15 11:35 ollehar File Added: Selection_972.png
2020-01-15 11:35 ollehar Note Added: 55262
2020-01-15 11:35 ollehar Assigned To markusfluer => DenisChenu
2020-01-15 11:35 ollehar Note Added: 55263
2020-01-15 11:39 ollehar Note Added: 55265
2020-01-15 11:41 ollehar Note Added: 55266
2020-01-15 11:43 ollehar Changeset attached => LimeSurvey master ba9d4f94
2020-01-15 11:43 DenisChenu Note Added: 55267
2020-01-15 11:43 DenisChenu Resolution reopened => fixed
2020-01-15 11:54 DenisChenu Note Added: 55268
2020-01-15 11:57 ollehar Note Added: 55269
2020-01-15 11:57 ollehar Note Added: 55270
2020-01-15 11:59 lime_release_bot Note Added: 55275
2020-01-15 11:59 lime_release_bot Status feedback => closed
2020-01-15 12:26 DenisChenu Note Added: 55279